Summary:      graphical presentation of data sets and functions
Name:         kpl3
Version:      3.1
Release:      3
Copyright:    GPL
Group:        Productivity/Graphics/Visualization/Graph
Source:       kpl-3.1.tar.bz2
Packager:     Werner Stille <stille@uni-freiburg.de>
Distribution: SuSE Linux 8.1 (i586)

%description
Kpl is a program for two- and three-dimensional graphical presentation
of data sets and functions. Multidimensional nonlinear parameter fits of
functions to data sets can be performed using the Levenberg-Marquardt
algorithm. Also general linear least square parameter fits are possible.
A DCOP interface can be used to control Kpl by other applications and
scripts.
All settings necessary for a complete description of the presentation
can be saved in plot files. These files as well as data files may be
chosen by command line parameters, using the File menu, or by drag and
drop.
Automatic scaling and normalization allow the easy graphical presentation
of data. Also parameter fits can be performed automatically.
The settings of a presentation may be changed using the Edit menu. Here
also additional data sets and functions can be included which
can be displayed in the same as well as in different data windows.

Authors:
--------
    Werner Stille <stille@uni-freiburg.de>

%prep
%setup -n kpl-3.1

%build
LDFLAGS=-s ./configure --with-qt-dir=/usr/lib/qt3 --prefix=/opt/kde3 --enable-final
make

%install
make install
Check

%files
%doc TODO INSTALL ChangeLog COPYING AUTHORS README
%dir /opt/kde3/share/applnk
%dir /opt/kde3/share/applnk/Applications
%dir /opt/kde3/share/apps/kpl
%dir /opt/kde3/share/apps/kpl/pics
%dir /opt/kde3/share/doc/HTML/de/kpl
%dir /opt/kde3/share/doc/HTML/en/kpl
%dir /opt/kde3/share/icons/hicolor/48x48/apps
%dir /opt/kde3/share/icons/locolor/16x16/apps
%dir /opt/kde3/share/icons/locolor/32x32/apps
%dir /opt/kde3/share/locale
%dir /opt/kde3/share/locale/de
%dir /opt/kde3/share/locale/de/LC_MESSAGES
%dir /opt/kde3/share/locale/ja
%dir /opt/kde3/share/locale/ja/LC_MESSAGES
%dir /opt/kde3/share/locale/pl
%dir /opt/kde3/share/locale/pl/LC_MESSAGES
/opt/kde3/bin/kpl
/opt/kde3/include/kpl_stub.h
/opt/kde3/share/applnk/Applications/kpl.desktop
/opt/kde3/share/apps/kpl/Makefile.fcompl
/opt/kde3/share/apps/kpl/Makefile.fkt
/opt/kde3/share/apps/kpl/demo1.cpp
/opt/kde3/share/apps/kpl/demo1.dat
/opt/kde3/share/apps/kpl/demo1.plo
/opt/kde3/share/apps/kpl/demo1.py
/opt/kde3/share/apps/kpl/demo10.dat
/opt/kde3/share/apps/kpl/demo10.plo
/opt/kde3/share/apps/kpl/demo11.plo
/opt/kde3/share/apps/kpl/demo2.plo
/opt/kde3/share/apps/kpl/demo3.plo
/opt/kde3/share/apps/kpl/demo4.dat
/opt/kde3/share/apps/kpl/demo4.plo
/opt/kde3/share/apps/kpl/demo5.plo
/opt/kde3/share/apps/kpl/demo6.plo
/opt/kde3/share/apps/kpl/demo7.dat
/opt/kde3/share/apps/kpl/demo7.plo
/opt/kde3/share/apps/kpl/demo8.plo
/opt/kde3/share/apps/kpl/demo9.plo
/opt/kde3/share/apps/kpl/fcompl.cpp
/opt/kde3/share/apps/kpl/fcompl.def
/opt/kde3/share/apps/kpl/fcompl.so
/opt/kde3/share/apps/kpl/fkt.c
/opt/kde3/share/apps/kpl/fkt.def
/opt/kde3/share/apps/kpl/fkt.so
/opt/kde3/share/apps/kpl/kpl_stub.cpp
/opt/kde3/share/apps/kpl/kplui.rc
/opt/kde3/share/apps/kpl/kxmlrpcserver-patch
/opt/kde3/share/apps/kpl/pics/checked.png
/opt/kde3/share/apps/kpl/pics/line1.png
/opt/kde3/share/apps/kpl/pics/line2.png
/opt/kde3/share/apps/kpl/pics/line3.png
/opt/kde3/share/apps/kpl/pics/line4.png
/opt/kde3/share/apps/kpl/pics/line5.png
/opt/kde3/share/apps/kpl/pics/line6.png
/opt/kde3/share/apps/kpl/pics/line7.png
/opt/kde3/share/apps/kpl/pics/line8.png
/opt/kde3/share/apps/kpl/pics/line9.png
/opt/kde3/share/apps/kpl/pics/symb0.png
/opt/kde3/share/apps/kpl/pics/symb1.png
/opt/kde3/share/apps/kpl/pics/symb10.png
/opt/kde3/share/apps/kpl/pics/symb11.png
/opt/kde3/share/apps/kpl/pics/symb12.png
/opt/kde3/share/apps/kpl/pics/symb13.png
/opt/kde3/share/apps/kpl/pics/symb14.png
/opt/kde3/share/apps/kpl/pics/symb15.png
/opt/kde3/share/apps/kpl/pics/symb16.png
/opt/kde3/share/apps/kpl/pics/symb2.png
/opt/kde3/share/apps/kpl/pics/symb3.png
/opt/kde3/share/apps/kpl/pics/symb4.png
/opt/kde3/share/apps/kpl/pics/symb5.png
/opt/kde3/share/apps/kpl/pics/symb6.png
/opt/kde3/share/apps/kpl/pics/symb7.png
/opt/kde3/share/apps/kpl/pics/symb8.png
/opt/kde3/share/apps/kpl/pics/symb9.png
/opt/kde3/share/apps/kpl/pics/unchecked.png
/opt/kde3/share/doc/HTML/de/kpl/index.cache.bz2
/opt/kde3/share/doc/HTML/de/kpl/index.docbook
/opt/kde3/share/doc/HTML/de/kpl/common
/opt/kde3/share/doc/HTML/en/kpl/index.cache.bz2
/opt/kde3/share/doc/HTML/en/kpl/index.docbook
/opt/kde3/share/doc/HTML/en/kpl/common
/opt/kde3/share/icons/hicolor/16x16/apps/kpl.png
/opt/kde3/share/icons/hicolor/16x16/mimetypes/plo.png
/opt/kde3/share/icons/hicolor/32x32/apps/kpl.png
/opt/kde3/share/icons/hicolor/32x32/mimetypes/plo.png
/opt/kde3/share/icons/hicolor/48x48/apps/kpl.png
/opt/kde3/share/icons/hicolor/48x48/mimetypes/plo.png
/opt/kde3/share/icons/hicolor/64x64/mimetypes/plo.png
/opt/kde3/share/locale/de/LC_MESSAGES/kpl.mo
/opt/kde3/share/locale/ja/LC_MESSAGES/kpl.mo
/opt/kde3/share/locale/pl/LC_MESSAGES/kpl.mo
/opt/kde3/share/mimelnk/application/x-plo.desktop
